type Key = string | number | symbol;
export declare function useMap<K extends Key, V>(arr?: [K, V][]): {
    get: (key: K) => V | undefined;
    set: (key: K, value: V) => Map<K, V>;
    delete: (key: K) => boolean;
    clear: () => void;
    forEach: (callback: (value: V, key: K, map: Map<K, V>) => void) => void;
    map: <Result>(callback: (entry: [K, V], index: number, array: [K, V][]) => Result) => Result[];
    has: (key: K) => boolean;
    entries: () => IterableIterator<[K, V]>;
    values: () => IterableIterator<V>;
    keys: () => IterableIterator<K>;
    size: number;
    [Symbol.iterator](): Generator<[K, V], void, unknown>;
    [Symbol.toStringTag]: string;
};
export {};
